### Name: fetch-methods
### Title: Fetch records from a previously executed query
### Aliases: fetch-methods fetch,SQLiteResult,numeric-method
###   fetch,SQLiteResult-method
### Keywords: methods interface database

### ** Examples
## Not run: 
##D drv <- dbDriver("SQLite")
##D con <- dbConnect(drv, dbname = "sqlite.db")
##D res <- dbSendQuery(con, statement = paste(
##D                       "SELECT w.laser_id, w.wavelength, p.cut_off",
##D                       "FROM WL w, PURGE P", 
##D                       "WHERE w.laser_id = p.laser_id",
##D                       "ORDER BY w.laser_id"))
##D # we now fetch the first 100 records from the resultSet into a data.frame
##D data1 <- fetch(res, n = 100)   
##D dim(data1)
##D 
##D dbHasCompleted(res)
##D 
##D # let's get all remaining records
##D data2 <- fetch(res, n = -1)
## End(Not run)



